commit:     3b6fc1cd4832c521ac126cf6552f66fa0051057d
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Aug 12 19:42:42 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Aug 14 17:48:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b6fc1cd

x11-misc/qt5ct: verbump to 0.25

Also fix SLOT operators on Qt deps.
qt5ct uses private headers from dev-qt/qtgui only
(qpa/qplatformtheme{,plugin}.h).

Package-Manager: portage-2.3.0

 x11-misc/qt5ct/Manifest          |  1 +
 x11-misc/qt5ct/qt5ct-0.25.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/x11-misc/qt5ct/Manifest b/x11-misc/qt5ct/Manifest
index d40141c..38aeeae 100644
--- a/x11-misc/qt5ct/Manifest
+++ b/x11-misc/qt5ct/Manifest
@@ -1 +1,2 @@
 DIST qt5ct-0.24.tar.bz2 42427 SHA256 
d7acba4e36ed6478a4a27a8cc9359b45f2ecdbcb5f46e6a19e6fdd4252b3c24c SHA512 
670e518d8b927eb937bbde6e190dba735cdd7d833ada0299f18093b502ddda340b10d5ad6e6be94a7f08c46335ffb84128800c5625063c6614cb1248a00287c1
 WHIRLPOOL 
d85528748440f3d14b68f9cc9bcade1a65e74918960918babf798ce9f7aa3f4c0661a6d59c43340276070882119b2be95a767f1f35f69adc98e52f137083576d
+DIST qt5ct-0.25.tar.bz2 45094 SHA256 
b2669f4317c511895f33d5d11d14a5d9535340c6fb20effe4dd37ab6c152e057 SHA512 
7fb50166c83cc15f5ad1bbdc3e6c24e53d33fb34dc2b4c0aadf4bba841f390c5d76f118e4a8cc0674728a92bb5934542ab4c03a51f865a13f378f60064b34fc7
 WHIRLPOOL 
40c58cb0cc30c34885f544c415e1faffeb10582f18cc9dbe36b6cae417170bf556aafa68b06773854e25b657f4ba404224f8ca16f452829c9afc94f7e0dfe955

diff --git a/x11-misc/qt5ct/qt5ct-0.25.ebuild b/x11-misc/qt5ct/qt5ct-0.25.ebuild
new file mode 100644
index 0000000..45ce929
--- /dev/null
+++ b/x11-misc/qt5ct/qt5ct-0.25.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit qmake-utils
+
+DESCRIPTION="Qt5 configuration tool, similar to qtconfig for Qt4"
+HOMEPAGE="https://sourceforge.net/projects/qt5ct/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5=
+       dev-qt/qtwidgets:5
+"
+DEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5
+"
+
+src_configure() {
+       eqmake5 ${PN}.pro
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+       einstalldocs
+
+       echo 'QT_QPA_PLATFORMTHEME=qt5ct' > "${T}"/98${PN} || die
+       doenvd "${T}"/98${PN}
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               ewarn "qt5ct configuration won't be applied to the currently 
running sessions."
+               ewarn "Please relogin."
+       fi
+       if ! has_version 'dev-qt/qtsvg:5'; then
+               echo
+               elog "For SVG icon themes, please install 'dev-qt/qtsvg:5'."
+               echo
+       fi
+}

Reply via email to